#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	falkon
Version		:	23.08.0
Release		:	14.8.0.0%{?dist}
Summary		:	KDE web browser using the QtWebEngine rendering engine.
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3
URL		:	https://www.falkon.org/
			#https://download.kde.org/stable/release-service/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	gcc-c++
BuildRequires	:	desktop-file-utils
BuildRequires	:	extra-cmake-modules
BuildRequires	:	fdk-aac
BuildRequires	:	libgnome-keyring
BuildRequires	:	gcc-c++
BuildRequires	:	karchive
BuildRequires	:	kcoreaddons
BuildRequires	:	kcrash
BuildRequires	:	kio
BuildRequires	:	ki18n
BuildRequires	:	qt
BuildRequires	:	qtx11extras-devel
BuildRequires	:	qtwebengine
BuildRequires	:	openssl-devel
BuildRequires	:	xcb-util

Requires	:	icu
Requires	:	libqtxdg
Requires	:	qtx11extras
Requires	:	fdk-aac
#-----------------------------------------------------------------------------
%description
Falkon is a KDE web browser using the QtWebEngine rendering engine.
It was previously known as QupZilla. It aims to be a lightweight
web browser available through all major platforms. 

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc COPYING README.md
%{_bindir}/%{name}
%{_libdir}/lib*.so*
%{_datadir}/applications/org.kde.falkon.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/%{name}/themes/chrome/images/*.png
%{_datadir}/%{name}/themes/chrome/*.{css,desktop,png,txt}
%{_datadir}/%{name}/themes/linux/images/*.{png,svg}
%{_datadir}/%{name}/themes/linux/*.{css,desktop,png,txt}
%{_datadir}/%{name}/themes/mac/images/*.png
%{_datadir}/%{name}/themes/mac/*.{css,desktop,png,txt}
%{_datadir}/%{name}/themes/windows/images/*.{png,svg}
%{_datadir}/%{name}/themes/windows/*.{css,desktop,png,svg,txt}
%{_datadir}/locale/*/LC_MESSAGES/%{name}_*.{qm,mo}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/metainfo/org.kde.falkon.appdata.xml
%{_datadir}/plugins/%{name}/*.so

#-----------------------------------------------------------------------------
%post
update-desktop-database 

#=============================================================================
%prep
%setup -q
#patch0 -p1

#-----------------------------------------------------------------------------
#building application
%build
#First fix a missing include in Qt-5.14:
sed -i 							\
 -e '/#include <QSettings>/a#include <QFile>'		\
  src/plugins/VerticalTabs/verticaltabsplugin.cpp

#Unless you have installed both PySide2 and ki18n,
#remove the translations for the sample hellopython.py script
#{__rm} -fr  po/

%{__mkdir_p} build
pushd build
cmake 							\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}		\
	-D CMAKE_BUILD_TYPE=Release 			\
	-D BUILD_KEYRING=ON 				\
	-D BUILD_TESTING=ON				\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C build					\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
